com.holonplatform.vaadin.flow.components.builders

## Interface NumberInputBuilder<T extends Number>

- All Superinterfaces:
    ComponentConfigurator<NumberInputBuilder<T>>, CompositionNotifierConfigurator<NumberInputBuilder<T>>, DeferrableLocalizationConfigurator<NumberInputBuilder<T>>, FocusableConfigurator<com.vaadin.flow.component.Component,NumberInputBuilder<T>>, HasAutocompleteConfigurator<NumberInputBuilder<T>>, HasAutofocusConfigurator<NumberInputBuilder<T>>, HasDeferrableLocalization, HasElementConfigurator<NumberInputBuilder<T>>, HasEnabledConfigurator<NumberInputBuilder<T>>, HasLabelConfigurator<NumberInputBuilder<T>>, HasPatternConfigurator<NumberInputBuilder<T>>, HasPlaceholderConfigurator<NumberInputBuilder<T>>, HasPrefixAndSuffixConfigurator<NumberInputBuilder<T>>, HasSizeConfigurator<NumberInputBuilder<T>>, HasStyleConfigurator<NumberInputBuilder<T>>, HasThemeVariantConfigurator<com.vaadin.flow.component.textfield.TextFieldVariant,NumberInputBuilder<T>>, HasTitleConfigurator<NumberInputBuilder<T>>, HasValueChangeModeConfigurator<NumberInputBuilder<T>>, InputBuilder<T,ValueHolder.ValueChangeEvent<T>,Input<T>,ValidatableInput<T>,NumberInputBuilder<T>,ValidatableNumberInputBuilder<T>>, InputConfigurator<T,ValueHolder.ValueChangeEvent<T>,NumberInputBuilder<T>>, InputNotifierConfigurator<NumberInputBuilder<T>>, InputValueConfigurator<T,ValueHolder.ValueChangeEvent<T>,NumberInputBuilder<T>>, KeyNotifierConfigurator<NumberInputBuilder<T>>, NumberInputConfigurator<T,NumberInputBuilder<T>>

      public interface NumberInputBuilder<T extends Number>
      extends NumberInputConfigurator<T,NumberInputBuilder<T>>, InputBuilder<T,ValueHolder.ValueChangeEvent<T>,Input<T>,ValidatableInput<T>,NumberInputBuilder<T>,ValidatableNumberInputBuilder<T>>

  Builder to create `Number` type `Input` components.
  Since:
    5.2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `InputConfigurator.BaseInputConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `HasEnabledConfigurator.BaseHasEnabledConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `HasSizeConfigurator.BaseHasSizeConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `HasStyleConfigurator.BaseHasStyleConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasLabelConfigurator

      `HasLabelConfigurator.BaseHasLabelConfigurator`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `FULL_SIZE`

  - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T extends Number> NumberInputBuilder<T>` | `create(Class<T> numberType)` Get a new `NumberInputBuilder` to create a numeric type `Input`.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.NumberInputConfigurator

      `allowNegative, autoselect, autoselect, clearButtonVisible, locale, maxDecimals, minDecimals, numberFormat, numberFormatPattern`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputValueConfigurator

      `withValue`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `readOnly, readOnly, required, required, withAdapter, withReadonlyChangeListener, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `create, elementConfiguration, hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `create, disabled, enabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputNotifierConfigurator

      `withInputListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.KeyNotifierConfigurator

      `withKeyDownListener, withKeyDownListener, withKeyPressListener, withKeyPressListener, withKeyUpListener, withKeyUpListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasValueChangeModeConfigurator

      `valueChangeMode`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasAutocompleteConfigurator

      `autocomplete`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `create, fullHeight, fullSize, fullWidth, height, height, heightUndefined, maxHeight, maxWidth, minHeight, minWidth, sizeUndefined, width, width, widthUndefined`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `create, styleName, styleNames`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasAutofocusConfigurator

      `autofocus`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.FocusableConfigurator

      `tabIndex, withBlurListener, withFocusListener, withFocusShortcut, withFocusShortcutKey`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasPrefixAndSuffixConfigurator

      `prefixComponent, suffixComponent`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.CompositionNotifierConfigurator

      `withCompositionEndListener, withCompositionStartListener, withCompositionUpdateListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasPlaceholderConfigurator

      `placeholder, placeholder, placeholder`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasLabelConfigurator

      `create, create, label, label, label`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasTitleConfigurator

      `description, description, description, title, title, title`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasPatternConfigurator

      `pattern, preventInvalidInput, preventInvalidInput`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasThemeVariantConfigurator

      `withThemeVariants`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DeferrableLocalizationConfigurator

      `deferLocalization, withDeferredLocalization`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasDeferrableLocalization

      `isDeferredLocalizationEnabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputBuilder

      `build, validatable`

- - ### Method Detail

    - #### create

          static <T extends Number> NumberInputBuilder<T> create(Class<T> numberType)

      Get a new `NumberInputBuilder` to create a numeric type `Input`.
      Type Parameters:
        `T` - Number type
      Parameters:
        `numberType` - Number class (not null)
      Returns:
        A new `NumberInputBuilder`

Copyright © 2019 The Holon Platform. All rights reserved.